Subject: [CODE4LIB] FW: [CODE4LIB] Newbie asking for some suggestions with javascript

From: Roy Tennant <[email-masked]>
Date: Mon, 15 Jun 2009 13:09:28 -0700

It is worth following up on Xiaoming's statement of a limit of 100 uses per
day of the xISSN service with the information that exceptions to this limite
are certainly granted. Annette probably knows that just such an exception
was granted to her LibX project, and LibX remains the single largest user of
this service. 
Roy

On 6/13/09 4:02 PM, "Xiaoming Liu" <[email-masked]> wrote:

> Annette's comment is correct. XISSN service allows 100 uses per day for
> non-OCLC usage. I don't think xISSN's price proposal is ever approved, so we
> don't have a price list for commercial usage.
> 
> XISSN's access control is sort of complex, for more details please check
> http://xissn.worldcat.org/xissnadmin/doc/subscribe.htm , hopefully we can
> clean it up in the future.
> 
> xiaoming
> 
> 
> On 6/13/09 3:52 PM, "Hamparian,Don" <[email-masked]> wrote:
> 
>> You can also purchase. I thought it was 500 usages a day. Xiaoming?
>> 
>>> -----Original Message-----
>>> From: Tennant,Roy
>>> Sent: Thursday, June 11, 2009 5:02 PM
>>> To: Hamparian,Don
>>> Subject: FW: [CODE4LIB] Newbie asking for some suggestions with
>>> javascript
>>> 
>>> I think I have to say yes to this, although it isn't going to make us
>>> look
>>> great.
>>> Roy
>>> 
>>> 
>>> ------ Forwarded Message
>>> From: Annette Bailey <[email-masked]>
>>> Reply-To: Code for Libraries <[email-masked]>
>>> Date: Thu, 11 Jun 2009 16:55:57 -0400
>>> To: <[email-masked]>
>>> Subject: Re: [CODE4LIB] Newbie asking for some suggestions with
>>> javascript
>>> 
>>> Roy,
>>> 
>>> Just to clarify, you have to be an OCLC cataloging member to use this
>>> beyond 100 uses per day, correct?
>>> 
>>> Thanks,
>>> Annette
>>> 
>>> On Thu, Jun 11, 2009 at 4:48 PM, Roy Tennant<[email-masked]> wrote:
>>>> This data (the Tic-Tocs RSS URLs) is also available via xISSN. For
>>> example:
>>>> 
>>>> <http://xissn.worldcat.org/webservices/xid/issn/1095-
>>> 9203?method=getMetadata
>>>> &format=xml&fl=*>
>>>> 
>>>> Look for the "rssurl" attribute. For information on xISSN see:
>>>> 
>>>> <http://xissn.worldcat.org/xissnadmin/>
>>>> 
>>>> Roy
>>>> 
>>>> 
>>>> On 6/11/09 6/11/09 € 12:36 PM, "Derik Badman" <[email-masked]>
>>> wrote:
>>>> 
>>>>> On Thu, Jun 11, 2009 at 2:03 PM, Jon Gorman
>>> <[email-masked]>wrote:
>>>>> 
>>>>>> I guess the first question is if it is really necessary to use a
>>> text
>>>>>> file?  I'm not entirely clear on this process, but perhaps the text
>>>>>> file could be imported into a database.
>>>>> 
>>>>> 
>>>>> At this point the text file is a stop-gap api that ticTOCs is
>>> offering
>>>>> (supposedly working an actual api), so this will probably be a
>>> temporary
>>>>> situation. I could put all the data into mysql, though then I'd have
>>> to
>>>>> figure out how to check the text file for changes and then update
>>> the
>>>>> database accordingly.
>>>>> 
>>>>> 
>>>>>> Then of course perhaps there's some way to add this to the Serials
>>>>>> Solution database directly?  Then you don't need another javascript
>>> at
>>>>>> all?
>>>>> 
>>>>> 
>>>>> I'm so disillusioned with them, that I didn't even consider that...
>>>>> 
>>>>> 
>>>>> 
>>>>>> cron + wget/curl would be a good first step it would seem.  You
>>> might
>>>>>> want some sort of script that monitors changes or the like.  (Maybe
>>>>>> send you an email if there's no updates in x days or something like
>>>>>> that).
>>>>> 
>>>>> 
>>>>> Thanks, I'll look into that.
>>>>> 
>>>> 
>>>> --
>>>> 
>>> 
>>> 
>>> ------ End of Forwarded Message
>> 

------ End of Forwarded Message

---

From: Jonathan Rochkind <[email-masked]>
Date: Mon, 15 Jun 2009 16:15:26 -0400

Does the xISSN documentation say that exceptions by non-OCLC members can 
be asked for, and instruct on where to make the request?  If you want to 
keep from discouraging use accidentally by people who don't know they 
can get an exception, it needs to say that on the same page that talks 
about the 100/day limit, not just on the code4lib listserv.

---

From: Godmar Back <[email-masked]>
Date: Mon, 15 Jun 2009 18:22:43 -0400

> was granted to her LibX project, and LibX remains the single largest user

Yes, Roy is correct.

We are very grateful for OCLC's generous support and would like to
acknowledge that publicly.

FWIW, I suggested the inclusion of ticTOCs RSS feed data in the survey OCLC
sent out two weeks ago, and less than a week later, OCLC rolls out the
improved service. Excellent!

[ As an aside, in LibX, we are changing the way we use the service;
previously, we were looking up all ISSNs on any page a user visits; we are
now retrieving the metadata if the user actually hovers over the link. Not
that OCLC complained - but CrossRef did when they noticed > 100,000 hits per
day against their service for DOI metadata lookups. In fairness to CrossRef,
they are working on beefing up their servers as well. ]

 - Godmar & Annette for Team LibX.

---

From: Roy Tennant <[email-masked]>
Date: Tue, 16 Jun 2009 07:49:48 -0700

The text of this page:

<http://xissn.worldcat.org/xissnadmin/doc/subscribe.htm>

Did have "higher usage per request" for the options under "OCLC Cataloging
Members" but now it has been added to "Free service with registration."
There is also now a link there to the correct email address to request such
an exception. Thanks for pointing this out,
Roy

--